## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2011 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_libvcsn.rb
##

lib_LTLIBRARIES	+= libvcsn-z-max.la
libvcsn_z_max_la_CXXFLAGS	= $(CXXFLAGS) -DVCSN_CONTEXT=z_max_plus_automaton
libvcsn_z_max_la_LIBADD	= $(LIBOBJS) $(LIBADD) $(benchlib)
libvcsn_z_max_la_SOURCES	= vcsn-z-max/all.cc
## all.cc includes all the source files below.  We declare them
## as EXTRA_*_SOURCES so they are distributed and so we can
## build a single object file on demand.
EXTRA_libvcsn_z_max_la_SOURCES = \
  vcsn-z-max/accessible.cc	\
  vcsn-z-max/aci_canonical.cc	\
  vcsn-z-max/aut_to_exp.cc	\
  vcsn-z-max/berry_sethi.cc	\
  vcsn-z-max/brzozowski.cc	\
  vcsn-z-max/complement.cc	\
  vcsn-z-max/complete.cc	\
  vcsn-z-max/cut_up.cc	\
  vcsn-z-max/derived_term_automaton.cc	\
  vcsn-z-max/determinize.cc	\
  vcsn-z-max/eps_removal.cc	\
  vcsn-z-max/eps_removal_sp.cc	\
  vcsn-z-max/equivalent.cc	\
  vcsn-z-max/eval.cc	\
  vcsn-z-max/factor.cc	\
  vcsn-z-max/finite_support_conversion.cc	\
  vcsn-z-max/infiltration.cc	\
  vcsn-z-max/is_ambiguous.cc	\
  vcsn-z-max/is_deterministic.cc	\
  vcsn-z-max/is_empty.cc	\
  vcsn-z-max/is_trim.cc	\
  vcsn-z-max/is_useless.cc	\
  vcsn-z-max/isomorph.cc	\
  vcsn-z-max/krat_exp_constant_term.cc	\
  vcsn-z-max/krat_exp_expand.cc	\
  vcsn-z-max/krat_exp_flatten.cc	\
  vcsn-z-max/krat_exp_realtime.cc	\
  vcsn-z-max/minimization_hopcroft.cc	\
  vcsn-z-max/minimization_moore.cc	\
  vcsn-z-max/normalized.cc	\
  vcsn-z-max/prefix.cc	\
  vcsn-z-max/product.cc	\
  vcsn-z-max/realtime.cc	\
  vcsn-z-max/shortest.cc	\
  vcsn-z-max/shuffle.cc	\
  vcsn-z-max/standard.cc	\
  vcsn-z-max/standard_of.cc	\
  vcsn-z-max/sub_automaton.cc	\
  vcsn-z-max/suffix.cc	\
  vcsn-z-max/thompson.cc	\
  vcsn-z-max/transpose.cc	\
  vcsn-z-max/trim.cc	

MAINTAINERCLEANFILES += $(libvcsn_z_max_la_SOURCES) $(EXTRA_libvcsn_z_max_la_SOURCES) vcsn-z-max/libvcsn-z-max.mk
